Bug 1308468 - [abrt] gvfs-smb: g_malloc(): gvfsd-smb-browse killed by SIGSEGV
[abrt] gvfs-smb: g_malloc(): gvfsd-smb-browse killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gvfs (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ondrej Holy
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:d64dac48de9bea34fd6f8dd5545...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-15 04:53 EST by Andre Taniguchi
Modified: 2016-12-20 13:44 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:44:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (67.81 KB, text/plain)
2016-02-15 04:53 EST, Andre Taniguchi
no flags Details
File: cgroup (190 bytes, text/plain)
2016-02-15 04:53 EST, Andre Taniguchi
no flags Details
File: core_backtrace (12.33 KB, text/plain)
2016-02-15 04:53 EST, Andre Taniguchi
no flags Details
File: dso_list (13.22 KB, text/plain)
2016-02-15 04:53 EST, Andre Taniguchi
no flags Details
File: environ (809 bytes, text/plain)
2016-02-15 04:53 EST, Andre Taniguchi
no flags Details
File: exploitable (82 bytes, text/plain)
2016-02-15 04:53 EST, Andre Taniguchi
no flags Details
File: limits (1.29 KB, text/plain)
2016-02-15 04:53 EST, Andre Taniguchi
no flags Details
File: maps (57.67 KB, text/plain)
2016-02-15 04:53 EST, Andre Taniguchi
no flags Details
File: mountinfo (3.32 KB, text/plain)
2016-02-15 04:53 EST, Andre Taniguchi
no flags Details
File: namespaces (85 bytes, text/plain)
2016-02-15 04:53 EST, Andre Taniguchi
no flags Details
File: open_fds (1.10 KB, text/plain)
2016-02-15 04:53 EST, Andre Taniguchi
no flags Details
File: proc_pid_status (1023 bytes, text/plain)
2016-02-15 04:53 EST, Andre Taniguchi
no flags Details
File: var_log_messages (28 bytes, text/plain)
2016-02-15 04:53 EST, Andre Taniguchi
no flags Details

  None (edit)
Description Andre Taniguchi 2016-02-15 04:53:16 EST
Version-Release number of selected component:
gvfs-smb-1.26.2-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/libexec/gvfsd-smb-browse --spawner :1.9 /org/gtk/gvfs/exec_spaw/2
crash_function: g_malloc
executable:     /usr/libexec/gvfsd-smb-browse
global_pid:     3321
kernel:         4.2.6-301.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 g_malloc at gmem.c:94
 #3 g_variant_format_string_scan_type at gvariant.c:4421
 #4 valid_format_string at gvariant.c:4441
 #5 g_variant_new at gvariant.c:5188
 #6 _g_dbus_append_file_attribute at gvfsdaemonprotocol.c:183
 #7 _g_dbus_append_file_info at gvfsdaemonprotocol.c:206
 #8 g_vfs_job_enumerate_add_info at gvfsjobenumerate.c:204
 #9 g_vfs_job_enumerate_add_infos at gvfsjobenumerate.c:222
 #10 run_enumerate at gvfsbackendsmbbrowse.c:1491
 #11 g_vfs_job_run at gvfsjob.c:197
Comment 1 Andre Taniguchi 2016-02-15 04:53:21 EST
Created attachment 1127208 [details]
File: backtrace
Comment 2 Andre Taniguchi 2016-02-15 04:53:23 EST
Created attachment 1127209 [details]
File: cgroup
Comment 3 Andre Taniguchi 2016-02-15 04:53:24 EST
Created attachment 1127210 [details]
File: core_backtrace
Comment 4 Andre Taniguchi 2016-02-15 04:53:26 EST
Created attachment 1127211 [details]
File: dso_list
Comment 5 Andre Taniguchi 2016-02-15 04:53:27 EST
Created attachment 1127212 [details]
File: environ
Comment 6 Andre Taniguchi 2016-02-15 04:53:28 EST
Created attachment 1127213 [details]
File: exploitable
Comment 7 Andre Taniguchi 2016-02-15 04:53:30 EST
Created attachment 1127214 [details]
File: limits
Comment 8 Andre Taniguchi 2016-02-15 04:53:32 EST
Created attachment 1127215 [details]
File: maps
Comment 9 Andre Taniguchi 2016-02-15 04:53:33 EST
Created attachment 1127216 [details]
File: mountinfo
Comment 10 Andre Taniguchi 2016-02-15 04:53:34 EST
Created attachment 1127217 [details]
File: namespaces
Comment 11 Andre Taniguchi 2016-02-15 04:53:36 EST
Created attachment 1127218 [details]
File: open_fds
Comment 12 Andre Taniguchi 2016-02-15 04:53:37 EST
Created attachment 1127219 [details]
File: proc_pid_status
Comment 13 Andre Taniguchi 2016-02-15 04:53:39 EST
Created attachment 1127220 [details]
File: var_log_messages
Comment 14 Ondrej Holy 2016-02-19 02:27:35 EST
Thanks for your bug report. Could you please provide more info, how the crash happened?
Comment 15 Andre Taniguchi 2016-03-14 16:40:00 EDT
After accessing a shared folder on my vbox Windows 8.1 with the smb command: smb://192.168.1.14/public and the crash occurred just one time when opening "files > "+ other locations" > "Windows Network" 
But after having restarted my fedora, this problem complete disappeared.
Comment 16 Fedora End Of Life 2016-11-24 10:34:41 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2016-12-20 13:44:27 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.